Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class BaseSupport

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport

All Implemented Interfaces:
  Base, DataElement, MutableDataElement, Type

Direct Known Subclasses:
  GenericEntity, GinSimEdgeKernel, GinSimNodeKernel, Specie, Species, Stub

public class BaseSupport
extends MutableDataElementSupport
implements Base

Base class for all data element types.

Field Summary
`protected java.lang.String` | `title` By default we use data element name as its title.
`protected java.lang.String` | `type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`protected` | `BaseSupport(java.lang.String name, DataCollection parent)`
`` | `BaseSupport(java.lang.String name, DataCollection parent, java.lang.String type)`

Method Summary
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### type

    protected java.lang.String type

### title

    protected java.lang.String title

  By default we use data element name as its title.

Constructor Detail

### BaseSupport

    protected BaseSupport(java.lang.String name,
                          DataCollection parent)

### BaseSupport

    public BaseSupport(java.lang.String name,
                       DataCollection parent,
                       java.lang.String type)

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Base`
  See Also:
    `Type`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Base`

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.